curl --request POST \
--url https://api.soharhealth.com/v1/cost-estimate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"verificationId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
"tin": "752326127",
"networkStatus": "inn",
"tier": 1,
"lines": [
{
"code": "90837",
"contractedRate": 100
},
{
"code": "99213",
"contractedRate": 80
}
]
}
'import requests
url = "https://api.soharhealth.com/v1/cost-estimate"
payload = {
"verificationId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
"tin": "752326127",
"networkStatus": "inn",
"tier": 1,
"lines": [
{
"code": "90837",
"contractedRate": 100
},
{
"code": "99213",
"contractedRate": 80
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
verificationId: 'fb701ac1-1246-4860-b1ec-bd916b97a990',
tin: '752326127',
networkStatus: 'inn',
tier: 1,
lines: [{code: '90837', contractedRate: 100}, {code: '99213', contractedRate: 80}]
})
};
fetch('https://api.soharhealth.com/v1/cost-estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
"paidAmount": 180,
"patientResponsibility": 120,
"lines": [
{
"code": "90837",
"adjustments": [
{
"reasonCode": "1",
"amount": 50
},
{
"reasonCode": "2",
"amount": 30
}
]
},
{
"code": "99213",
"adjustments": [
{
"reasonCode": "1",
"amount": 25
},
{
"reasonCode": "3",
"amount": 15
}
]
}
]
}{
"error": "invalid_request_error",
"param": "ein"
}{
"error": "invalid_request_error"
}Create Cost Estimate
Creates a cost estimate for medical billing codes based on verification data.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
A Sohar Verification ID
"fb701ac1-1246-4860-b1ec-bd916b97a990"
A Tax Identification Number (9 digits)
"752326127"
Determines whether the benefits apply to patients in or out of network
inn, oon "inn"
An array of billing lines with codes and contracted rates
1Show child attributes
Show child attributes
The benefits tier, if multiple benefits are available
1
Response
A cost estimate
Unique identifier for the cost estimate request
"0942a568-b015-438e-b7be-d0234f401f35"
The Sohar ID for the verification used to create this cost estimate
"fb701ac1-1246-4860-b1ec-bd916b97a990"
The total amount paid by the payer in USD
80
The total amount owed by the patient in USD
120
Cost estimate breakdown for each billing line
Show child attributes
Show child attributes